[package]
name = "event-notifications"
version = "0.1.0"
authors = ["Aptos Labs <opensource@aptoslabs.com>"]
repository = "https://github.com/aptos-labs/aptos-core"
description = "The notification service offered by state sync for on-chain events"
homepage = "https://aptoslabs.com"
license = "Apache-2.0"
publish = false
edition = "2018"

[dependencies]
async-trait = "0.1.42"
futures = "0.3.12"
serde = { version = "1.0.124", default-features = false }
thiserror = "1.0.24"

channel = { path = "../../../crates/channel" }
aptos-id-generator = { path = "../../../crates/aptos-id-generator" }
aptos-infallible = { path = "../../../crates/aptos-infallible" }
aptos-types = { path = "../../../types" }
aptos-workspace-hack = { version = "0.1", path = "../../../crates/aptos-workspace-hack" }
storage-interface = { path = "../../../storage/storage-interface" }
aptos-state-view = { path = "../../../storage/state-view" }


[dev-dependencies]
bcs = "0.1.2"
claim = "0.5.0"

aptos-crypto = { path = "../../../crates/aptos-crypto" }
aptos-temppath = { path = "../../../crates/aptos-temppath" }
aptos-vm = { path = "../../../aptos-move/aptos-vm" }
aptosdb = { path = "../../../storage/aptosdb" }
executor-test-helpers = { path = "../../../execution/executor-test-helpers" }
move-core-types = { git = "https://github.com/move-language/move", rev = "1b6b7513dcc1a5c866f178ca5c1e74beb2ce181e", features=["address32"] }
vm-genesis = { path = "../../../aptos-move/vm-genesis", features = ["fuzzing"] }
